Subject: Re: bug#40857: Invisibility specs do not apply to specified spaces

From: Eli Zaretskii <[email-masked]>
Date: Mon, 27 Apr 2020 18:20:03 +0300

> From: Pip Cet <[email-masked]>
> Date: Sun, 26 Apr 2020 19:01:29 +0000
> Cc: Clément Pit-Claudel <[email-masked]>, 
> 	[email-masked]
> 
> On Sun, Apr 26, 2020 at 3:22 PM Eli Zaretskii <[email-masked]> wrote:
> > I don't think this is a bug.  A "replacing" display property in effect
> > forces the display engine to ignore the entire chunk of text "covered"
> > by that display property,
> 
> That's only true for text properties: a display property on an empty
> overlay is ignored.

Can you show a Lisp snippet for that?  I don't think I have a clear
idea of the use case.

> The right fix, I think, is to apply the patch in bug#40845, possibly
> extending it to pass in an "invisible" flag to the Lisp code that
> calculates the actual display spec to be used.

I explained elsewhere why I think we shouldn't move display
functionalities to Lisp, except as the last resort, more or less.